export declare type OPTIONS = {
    storageName?: string;
    rootDir?: string;
    prefix?: string;
    logs?: boolean;
};
export declare type ITEMS = {
    [key: string]: any;
};
export declare class epicStorage {
    protected defaultSchema: string;
    protected prefix: string;
    protected storageName: string;
    protected baseName: string;
    protected rootDir: string;
    protected storageDir: string;
    protected logs: boolean;
    protected logDirectory: string;
    protected logFileName: string;
    protected schemaList: string[];
    protected schema: string | null;
    protected currentFile: string;
    protected writing: boolean;
    protected unescapedKey: boolean;
    constructor({ storageName, rootDir, prefix, logs }?: OPTIONS);
    init: () => Promise<unknown>;
    protected resolveDir: () => Promise<unknown>;
    escapeHtml: (html: string) => string;
    unescapeHtml: (html: string) => string;
    replacer: (key: string, value: any) => any;
    reviver: (key: string, value: any) => any;
    serialize: (data: any, space?: string | number | undefined) => string;
    deSerialize: (data: string) => any;
    addSchema: (schemaName: string, use?: boolean) => Promise<unknown>;
    hasSchema: (schemaName: string) => boolean;
    listSchema: () => string[];
    useSchema: (schemaName: string) => this;
    usingSchema: () => string | null;
    removeSchema: (schemaName?: string | undefined) => this;
    renameSchema: (newSchemaName: string, oldSchemaName?: string | undefined) => this;
    clearSchema: (schema?: string | undefined, throwError?: boolean) => this;
    addItem: (key: string, value: string | object, schema?: string | undefined, throwError?: boolean) => Promise<unknown>;
    addItems: (data: ITEMS, schema?: string | undefined, throwError?: boolean) => Promise<unknown>;
    protected getItems: (schema?: string | undefined, throwError?: boolean) => Promise<ITEMS>;
    getAllItems: (schema?: string | undefined, throwError?: boolean) => Promise<ITEMS>;
    getItem: (key: string, schema?: string | undefined, throwError?: boolean) => Promise<any>;
    removeItem: (key: string, schema?: string | undefined, throwError?: boolean) => Promise<unknown>;
    hasItem: (key: string, schema?: string | undefined) => Promise<unknown>;
    removeItems: (keys: string[], schema?: string | undefined, throwError?: boolean) => Promise<unknown>;
    destroy: (logs?: boolean) => this;
    logConfig: (fileName: string, directory: string) => this;
    clearLog: () => this;
    logEvent: (data: object, force?: boolean) => this;
}
//# sourceMappingURL=epicStorage.d.ts.map